Update an Extension
https://mapi.storyblok.com/v1/org_apps/:extension_idThis endpoint allows you to update an extension, specifically the app object using the numeric ID.
/partner_apps/:extension_idPath parameters
Section titled “Path parameters”:extension_idrequired numberNumeric id of an extension
Request body properties
Section titled “Request body properties”appThe Extension ObjectThe extension object
Show
The Extension Objectchild propertiesnamestringName of the Extension
slugstringThe slug specific to this Extension
iconstringIcon image path of the Extension from the Extension Details
preview_videostringDefine the video URL in the extension configured on the Extension Details in the settings
descriptionstringA description of your extension
introstringA short description of your extension
screenshotstringA screenshot image path of your extension
websitestringWebsite URL of your extension
authorstringAuthor of the extension
field_type_idsnumber[]An array of field type ids
embedded_app_urlstringAn embedded Space app or Tool Plugin URL
dev_embedded_app_urlstringA developer mode of embedded Space Plugin or Tool Plugin URL
dev_oauth_redirect_uristringA developer mode of OAuth Space Plugin or Tool Plugin URI
in_sidebarbooleanA status in the sidebar if your plugin is a space app
in_toolbarbooleanA status in the toolbar if your plugin is tool plugin
sidebar_iconstringYour space app sidebar icon image path
oauth_redirect_uristringOAuth Space Plugin or Tool Plugin URI
enable_space_settingsbooleanA status to show whether your extension is enabled for space level settings or not
Examples
Section titled “Examples”curl "https://mapi.storyblok.com/v1/org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72" \ -X PUT \ -H "Authorization: YOUR_PERSONAL_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d "{\"app\":{\"enable_space_settings\":true}}"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.put('org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72', { "app": { "enable_space_settings": true } }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_PERSONAL_ACCESS_TOKEN');
$payload = ["app" => ["enable_space_settings" => true]];
$client->put('org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72', $payload)->getBody();HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72") .header("Content-Type", "application/json") .header("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN") .body({"app":{"enable_space_settings":true}}) .asString();var client = new RestClient("https://mapi.storyblok.com/v1/org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72");var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");request.AddHeader("Authorization", "YOUR_PERSONAL_ACCESS_TOKEN");request.AddParameter("application/json", "{\"app\":{\"enable_space_settings\":true}}", ParameterType.RequestBody);IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72"
querystring = {}
payload = {"app":{"enable_space_settings":true}}headers = { 'Content-Type': "application/json", 'Authorization': "YOUR_PERSONAL_ACCESS_TOKEN"}
response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_PERSONAL_ACCESS_TOKEN')
payload = {"app" => {"enable_space_settings" => true}}
client.put('org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72', payload)let storyblok = URLSession(storyblok: .mapi(accessToken: .personal("YOUR_PERSONAL_ACCESS_TOKEN")))var request = URLRequest(storyblok: storyblok, path: "org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72")request.httpMethod = "PUT"request.httpBody = try JSONSerialization.data(withJSONObject: [ "app": [ "enable_space_settings": true, ],])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = Personal("YOUR_PERSONAL_ACCESS_TOKEN") }}
val response = client.put("org_apps/a8d372f8-5659-4f77-b549-0a82ff9c6e72") { setBody(buildJsonObject { putJsonObject("app") { put("enable_space_settings", true) } })}
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community